



scrapy version -v
IF %ERRORLEVEL% NEQ 0 exit /B 1
pip install setuptools-scm
IF %ERRORLEVEL% NEQ 0 exit /B 1
pip install sybil
IF %ERRORLEVEL% NEQ 0 exit /B 1
pip install 'mitmproxy<5.3.0'
IF %ERRORLEVEL% NEQ 0 exit /B 1
mv scrapy _scrapy
IF %ERRORLEVEL% NEQ 0 exit /B 1
rm tests/test_utils_asyncio.py
IF %ERRORLEVEL% NEQ 0 exit /B 1
rm -f tests/test_command_check.py tests/test_command_parse.py tests/test_commands.py tests/test_crawler.py tests/test_feedexport.py
IF %ERRORLEVEL% NEQ 0 exit /B 1
pytest _scrapy tests
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
